DeFi Price

circle-info

This endpoint is new and currently considered to be "experimental."

circle-exclamation

Get Single Token Price

get

Retrieve pricing information for a single token by address.

Authorizations
AuthorizationstringOptional

Authorization header for API key authentication.

Example:

Authorization: your-api-key-here
Query parameters
addressstringRequired

Token mint address

Example: EKpQGSJtjMFqKZ9KQanSqYXRcF8fBopzLHYxdM65zcjm
Responses
chevron-right
200

Success

application/json

Pricing data for a single token

valuenumber · doubleRequired

Current price value

Example: 0.00001234
priceChange24hnumber · doubleRequired

Price change over the last 24 hours (percentage)

Example: 5.67
priceInNativenumber · doubleRequired

Price in native token (SOL)

Example: 4.56e-8
liquiditynumber · doubleRequired

Available liquidity

Example: 125000.5
get
/defi/price

Last updated